//----------------------------------------------------------------------------
//
// Dlq - a Darklands Quest Lister
// (C) 2000 by Michael Petzold
//
//----------------------------------------------------------------------------

#ifndef _FILEDLG_H
#define _FILEDLG_H

// Borland ObjectWindows 5.0 Library
#include <owl/listbox.h>

#include "DlqApp.h"
#include "Dlq.rc"

// ---

class FileDlg : public TDialog
{
  public:
    FileDlg(TWindow* parent, char* fnum);
    ~FileDlg();
    void CmOk();
    void CmCancel();
    enum { IDD = IDD_FILEDLG, IDC = IDC_LISTBOX1 };
    
  protected:
    void SetupWindow();

  private:
    MyStringArray *NameArray;
    TListBox FileList;
    char* FileNum;

  DECLARE_RESPONSE_TABLE(FileDlg);
};

#endif
